운영진께 건의 드립니다 (14.10 한글 입력 관련)

우분투 14.10을 잠깐 사용해본 결과, 14.10의 ibus 한글 입력 시스템이 14.04에 비하여 월등하게 좋은 것 같습니다. 대부분의 사용자가 큰 불만 없이 사용할 수 있는 수준이 아닌가 싶구요.

그런데, 14.10으로 업그레드하기엔 14.10의 지원 기간이 너무 짧습니다. 14.04가 그대로 가기엔 남은 기간이 길구요. 그래서 말인데요. 14.10의 ibus를 14.04.2에 넣도록 Canonical에 의견을 전달할 방법이 없을까요? 다음의 이유로 가능할 것이라는 생각이 드는데요.

(1) 거의 대부분의 한글 사용자가 14.04.2에서 14.10의 ibus 한글 시스템을 넣는데 반대할 이유가 없다고 생각됩니다.

(2) 짐작 뿐이긴 하지만, 14.10과 14.04의 차이가 전체적으로 매우 미미하다는 사실에 비추어 볼 때, 우분투 파워 유저라면, ibus와 관련된 14.10의 package를 14.04에 설치하는 것만으로도 목적을 달성할 것으로 생각합니다. 그런데, 이렇게 하면, 일반 사용자의 경우 추후 upgrade에 문제가 생길 것 같아서, Canonical에서 공식적으로 14.04.2에 넣어주었으면 하는 것입니다. 그리고 이 사안은 정책적인 판단일 뿐, Canonical이 실질적으로 할 일이 많지 않을 것이라고 생각됩니다.

(3) Point release를 하면서 kernel version도 upgrade합니다. 그러니, ibus도 안될 이유는 없다고 봅니다. 수많은 한글 사용자에게 장기간 이득을 주니까요. 또한, Windows의 예를 보더라도 어느 버젼의 일부 기능이 이전 지원 버젼에 service pack의 형태로 지원되는 경우가 있습니다. 우분투의 point release는 Windows의 service pack과 어떤 의미에서는 유사하죠?

(4) 다만 이 경우, 필수 사항은 아니지만, 다음과 같은 변경이 바람직하다고 생각되는 사항이 하나 있는데요. Point release에서 바뀌는 경우이므로, 14.04.1과 backward compatibilty를 유지하려면, "한국어 내부 (태극 마크 상태)에서의 한/영 전환"의 default value를 한글로 해야할 것으로 생각됩니다. 사실 이 값이 영어로 되어 있어서 14.10 초기 설치시 한글 입력이 안되는 것으로 생각하여 많이 당황했습니다. 그런데, 14.04.1에서 14.04.2로 바뀌면서 이 값이 지금 그대로 영어가 default로 되어 있다면, 많은 14.04 ibus 사용자가 point upgrade 후 한글 입력이 안되는 버그가 생겼다고 생각하게 될 것입니다.

문제는 제가 의견을 전달할래도 어떤 경로를 통해서 하는 것이 효과적인지 모릅니다. Bug도 아니니 bug report를 할 수도 없는 노릇이고요. 운영진이나 이런 사항에 밝으신 분들이라면 효과적인 통로를 알고 계시리라고 믿어져서 이런 건의를 드립니다. 더구나, 우분투 한국 커뮤니티라는 단체의 힘으로 Canonical측에 의견을 전달한다면, 어느 개인이 하는 것보다 훨씬 효과적일 것이라고 생각됩니다.

(추신) 운영진께서 이 건의를 실행할 가치가 없다고 생각하시거나, Canonical이 거부할 경우를 대비해서, 어떤 package를 가져다가 14.04에 설치하면 14.10의 ibus가 14.04에 설치되는지 TIP을 가르쳐주실 분 계신가요? 가능하시다면, 초보자도 따라하면 되도록 step-by-step 가르쳐 주시면 감사하겠습니다. 이 글의 답글로 설명하시는 것보다 따로 글타래를 여시는 것이 많은 사람들에게 도움될 것 같습니다.

happyman님 말씀에 저 역시 찬성합니다.
국가적으로 리눅스(특히 우분투)에 대한 기대감이 상승하고 있는 이 때에
happyman님의 모든 말씀은 시의 적절하고 지당한 말씀이라고 생각됩니다.
이에 관련 가능하신 모든 분들이 적극 나서 주셨으면 좋겠습니다.

특히, 강분도님^^ 제 글 보고 계시지요? ^^
힘 좀 써 주실 것을 부탁해요.

drake_kr님은 워낙 수고가 많으시니…
당연히 그리 해 주시리라고 믿고 … ㅎㅎ

[quote="k9200544":6c74u2kd]현재 제가 사용하는 ibus 가 아마도 이버전이 우분투 14.10에 들어간거로 추정합니다
한번 참고주소 들어가 보시구요
노파심에서 다시 강조 하지만 추정입니다

참고주소 viewtopic.php?p=120383[/quote:6c74u2kd]

아~ 그런 것 같습니다. 정보 감사합니다. 그런데, 14.10에 들어있는 ibus-hangle과 package version이 달라서 좀 조심스럽네요. 어느 고수께서 확립된 방법을 알려주시기 않으면, 좀 실험이 필요할 듯 합니다. 감사합니다.

[url:2h8p51x2]https://launchpad.net/ubuntu/utopic/+package/ibus-hangul[/url:2h8p51x2]

좀 실험을 해 보았는데요. 우분투 14.10에 들어 있는 ibus-hangul package가 위 글에 들어 있더군요. 64-bit, 32-bit에 따라 아래 2개 중의 하나를 받아서 우분투 14.04에서 "dpkg -i <package-name>"으로 설치하고 나니, 14.10과 똑같이 동작합니다.
ibus-hangul 1.4.2+git20140818-1 in amd64 (Release)
ibus-hangul 1.4.2+git20140818-1 in i386 (Release)

그런데, 일단 동작은 하는데, 이렇게 설치했을 때, 추후 ibus-hangul package가 upgrade되는 경우, 혹은 ibus 관련 다른 package가 upgrade되는 경우에 문제가 없는 것인지, 또한 다른 문제는 없는 것인지 모르겠습니다. 역시 Canonical에서 14.04.2 버젼에 정식으로 넣어주면 좋겠습니다.